diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/test.json b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/test.json
index 46eb6cd30..8df404e60 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/test.json
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/test.json
@@ -81,7 +81,8 @@
       "expected_sql_file": "alter_role_options2.sql",
       "expected_msql_file": "alter_role_options2.msql",
       "convert_timestamp_columns": ["rolvaliduntil"],
-      "replace_password": true
+      "replace_password": true,
+      "replace_regex_pattern": ["VALID UNTIL '[0-9\\-T:+ ]*'"]
     },
     {
       "type": "alter",
@@ -95,7 +96,8 @@
       "expected_sql_file": "alter_role_options3.sql",
       "expected_msql_file": "alter_role_options3.msql",
       "convert_timestamp_columns": ["rolvaliduntil"],
-      "replace_password": true
+      "replace_password": true,
+      "replace_regex_pattern": ["VALID UNTIL '[0-9\\-T:+ ]*'"]
     },
     {
       "type": "alter",
@@ -112,7 +114,8 @@
       "expected_sql_file": "alter_role_options4.sql",
       "expected_msql_file": "alter_role_options4.msql",
       "convert_timestamp_columns": ["rolvaliduntil"],
-      "replace_password": true
+      "replace_password": true,
+      "replace_regex_pattern": ["VALID UNTIL '[0-9\\-T:+ ]*'"]
     },
     {
       "type": "delete",
diff --git a/web/regression/re_sql/tests/test_resql.py b/web/regression/re_sql/tests/test_resql.py
index 85a6aaebc..b670bfacf 100644
--- a/web/regression/re_sql/tests/test_resql.py
+++ b/web/regression/re_sql/tests/test_resql.py
@@ -702,6 +702,12 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
 
             sql = sql.replace(self.JSON_PLACEHOLDERS['password'], password)
 
+        if 'replace_regex_pattern' in scenario:
+            for a_patten in scenario['replace_regex_pattern']:
+                found = re.findall(a_patten, resp_sql)
+                if len(found) > 0:
+                    sql = re.sub(a_patten, found[0], sql)
+
         # Replace place holder <owner> with the current username
         # used to connect to the database
         if 'pga_job_id' in scenario:
